%define libname     %mklibname %name
%define develname   %mklibname -d %name

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:       caja-actions
Version:    1.26.0
Release:    %mkrel 2
Group:      Graphical desktop/MATE
License:    GPLv2+ and LGPLv2+
Summary:    Caja extension for customizing the context menus

URL:        https://github.com/NiceandGently/caja-actions
Source0:    https://pub.mate-desktop.org/releases/%{url_ver}/caja-actions-%{version}.tar.xz

BuildRequires:    pkgconfig(libcaja-extension) >= %{url_ver}
BuildRequires:    pkgconfig(uuid)
BuildRequires:    pkgconfig(sm)
BuildRequires:    pkgconfig(unique-3.0)
BuildRequires:    mate-common >= %{url_ver}
BuildRequires:    pkgconfig(libxml-2.0)
BuildRequires:    pkgconfig(ice)
BuildRequires:    pkgconfig(libgtop-2.0)
BuildRequires:    pkgconfig(gtk+-3.0)
BuildRequires:    pkgconfig(glib-2.0)
BuildRequires:    yelp-tools
BuildRequires:    itstool

%description
Caja actions is an extension for Caja, the MATE file manager.
It provides an easy way to configure programs to be launch on files
selected in Caja interface

%package -n %{name}-docs
Summary:    Documentations for %{name}
Group:      Documentation
BuildArch:  noarch

%description -n %{name}-docs
This package contains the documentation for %{name}

%package -n %{libname}
Summary:    %{name} libraries
Group:      System/Libraries

%description -n %{libname}
Runtime libraries for %{name}.

%package -n %{develname}
Summary:    Development tools for the %{name}
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains headers and shared libraries needed for development
with caja-actions.

%prep
%autosetup

%build
%configure \
    --disable-static

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

# clean docs dirs
rm -f %{buildroot}%{_docdir}/%{name}/INSTALL
rm -f %{buildroot}%{_docdir}/%{name}/ChangeLog-2008
rm -f %{buildroot}%{_docdir}/%{name}/ChangeLog-2009
rm -f %{buildroot}%{_docdir}/%{name}/ChangeLog-2010
rm -f %{buildroot}%{_docdir}/%{name}/ChangeLog-2011
rm -f %{buildroot}%{_docdir}/%{name}/ChangeLog-2012
rm -f %{buildroot}%{_docdir}/%{name}/MAINTAINERS

%check
desktop-file-validate  %{buildroot}%{_datadir}/applications/cact.desktop

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%{_bindir}/caja-actions-run
%{_bindir}/caja-actions-config-tool
%{_bindir}/caja-actions-new
%{_bindir}/caja-actions-print
%{_libexecdir}/caja-actions/
%{_datadir}/caja-actions/
%{_datadir}/icons/hicolor/*/apps/caja-actions.*
%{_datadir}/applications/cact.desktop

%files -n %{libname}
%{_libdir}/caja-actions/
%{_libdir}/caja/extensions-2.0/libcaja-actions-menu.so
%{_libdir}/caja/extensions-2.0/libcaja-actions-tracker.so

%files -n %{name}-docs
%{_docdir}/caja-actions/html/
%{_docdir}/caja-actions/pdf/
%{_docdir}/caja-actions/objects-hierarchy.odg
%{_docdir}/caja-actions/AUTHORS
%{_docdir}/caja-actions/ChangeLog
%{_docdir}/caja-actions/NEWS
%{_docdir}/caja-actions/README
%{_docdir}/caja-actions/COPYING
%{_docdir}/caja-actions/COPYING-DOCS

%files -n %{develname}
%{_includedir}/caja-actions/
#{_datadir}/gtk-doc/html/caja-actions-3/


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1837932
- Mageia 9 Mass Rebuild

* Mon Aug 09 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740903
- new version 1.26.0

* Wed Feb 12 2020 umeabot <umeabot> 1.8.3-4.mga8
+ Revision: 1511203
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 1.8.3-3.mga7
+ Revision: 1295843
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 wally <wally> 1.8.3-2.mga7
+ Revision: 1237188
- don't re-generate docs
- drop duplicate docs from -docs

* Wed Nov 15 2017 zezinho <zezinho> 1.8.3-1.mga7
+ Revision: 1177441
- new version

* Mon Sep 04 2017 cjw <cjw> 1.8.1-4.mga7
+ Revision: 1151252
- rebuild for new libgtop

* Sat Jan 07 2017 tarakbumba <tarakbumba> 1.8.1-3.mga6
+ Revision: 1080526
- Rebuild with gtk+3 for Mate 1.16 and above

* Sat Feb 20 2016 umeabot <umeabot> 1.8.1-2.mga6
+ Revision: 972465
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.8.1-1.mga6
+ Revision: 898535
-Update to 1.12.0 version

* Wed Jun 24 2015 tarakbumba <tarakbumba> 1.8.0-1.mga6
+ Revision: 842510
- Update to 1.8.0 version
- Drop "open as root" and "open with pluma" actions

* Wed Oct 15 2014 umeabot <umeabot> 1.7.1-5.mga5
+ Revision: 747160
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.7.1-4.mga5
+ Revision: 693556
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.7.1-3.mga5
+ Revision: 678289
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Jun 03 2014 tarakbumba <tarakbumba> 1.7.1-2.mga5
+ Revision: 632678
- Rebuild for libgtop2-2.30.0

* Tue Mar 25 2014 tarakbumba <tarakbumba> 1.7.1-1.mga5
+ Revision: 608663
- Update to version 1.7.1

* Sun Mar 23 2014 tarakbumba <tarakbumba> 1.7.0-1.mga5
+ Revision: 606727
- Update to version 1.7.0

* Sun Mar 09 2014 tarakbumba <tarakbumba> 1.6.2-3.mga5
+ Revision: 601492
- Use gnome-doc-utils until yelp-tools migration

* Fri Feb 28 2014 tarakbumba <tarakbumba> 1.6.2-2.mga5
+ Revision: 597963
- Added easy actions

* Tue Dec 10 2013 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 556217
- imported package caja-actions

